Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 718316 - gnome-extra/cinnamon: need py3.7, 3.8 port
Summary: gnome-extra/cinnamon: need py3.7, 3.8 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cinnamon Team
URL:
Whiteboard:
Keywords:
Depends on: 704532 720190
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-04-19 14:19 UTC by Michał Górny
Modified: 2020-05-31 19:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-19 14:19:32 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Larry the Git Cow gentoo-dev 2020-05-29 00:11:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8da71837558fd68d32a72b8b7b5fb88071e78ecc

commit 8da71837558fd68d32a72b8b7b5fb88071e78ecc
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 05:52:22 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:46 +0000

    gnome-extra/cinnamon: 4.4.8 version bump
    
    Update cinnamon to 4.4.8. Re-work python support
    as python-single-r1 with python3_{6,7} compat.
    Clean-up dependencies and make networkmanager optional.
    
    Closes: https://bugs.gentoo.org/553946
    Closes: https://bugs.gentoo.org/704532
    Closes: https://bugs.gentoo.org/662546
    Closes: https://bugs.gentoo.org/709016
    Bug: https://bugs.gentoo.org/718316
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon/Manifest              |   1 +
 gnome-extra/cinnamon/cinnamon-4.4.8.ebuild | 176 +++++++++++++++++++++++++++++
 gnome-extra/cinnamon/metadata.xml          |   8 ++
 3 files changed, 185 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b37d7d0b09b5921135cdc38c63a0605662d60cf

commit 2b37d7d0b09b5921135cdc38c63a0605662d60cf
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:21:46 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:45 +0000

    gnome-extra/cinnamon-screensaver: 4.4.1 version bump
    
    Update cinnamon-screensaver to 4.4.1. Python 3.7/3.8
    support and fix shebangs. Cleanup dependencies.
    Upstream dropped webkit and xscreensaver support.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Closes: https://bugs.gentoo.org/560764
    Closes: https://bugs.gentoo.org/613736
    Closes: https://bugs.gentoo.org/720152
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-screensaver/Manifest          |  1 +
 .../cinnamon-screensaver-4.4.1.ebuild              | 67 ++++++++++++++++++++++
 gnome-extra/cinnamon-screensaver/metadata.xml      |  8 +++
 3 files changed, 76 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=336ff4401a12250a4298a4bdb404c940aaa95339

commit 336ff4401a12250a4298a4bdb404c940aaa95339
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:09:58 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:45 +0000

    gnome-extra/nemo: 4.4.2 version bump
    
    Update nemo to 4.4.2. Switch to EAPI=7 and clean
    up eclass usage and dependencies. Tracker support
    dropped upstream.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/nemo/Manifest          |  1 +
 gnome-extra/nemo/metadata.xml      |  8 ++++
 gnome-extra/nemo/nemo-4.4.2.ebuild | 82 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45e6ce48322b4120cda6823834657b0f5dcec4b1

commit 45e6ce48322b4120cda6823834657b0f5dcec4b1
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 00:30:37 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:43 +0000

    gnome-extra/cinnamon-desktop: 4.4.1 version bump
    
    Update cinnamon-desktop to 4.4.1. Switch to EAPI=7
    and clean up dependencies. Python is only neded for
    a meson install script.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-desktop/Manifest              |  1 +
 .../cinnamon-desktop/cinnamon-desktop-4.4.1.ebuild | 49 ++++++++++++++++++++++
 gnome-extra/cinnamon-desktop/metadata.xml          |  8 ++++
 3 files changed, 58 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d89a3324b97a597edb88c8b72b5df8c9130ed134

commit d89a3324b97a597edb88c8b72b5df8c9130ed134
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-12 04:44:31 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:42 +0000

    x11-libs/xapps: 1.8.4 version bump
    
    Update xapps to 1.8.4. Switch to EAPI=7 and clean
    up eclass usage and dependencies. Fix installation
    of pygobject files for multiple targets.
    
    Bug: https://bugs.gentoo.org/672676
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-libs/xapps/Manifest           |  1 +
 x11-libs/xapps/metadata.xml       |  4 ++
 x11-libs/xapps/xapps-1.8.4.ebuild | 87 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 92 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa1dff08ba14f84b92edb2bc9b4ef4dda278a109

commit fa1dff08ba14f84b92edb2bc9b4ef4dda278a109
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-12 04:40:48 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:42 +0000

    app-accessibility/caribou: python 3.7 support
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Closes: https://github.com/gentoo/gentoo/pull/15774
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 app-accessibility/caribou/caribou-0.4.21-r1.ebuild | 92 ++++++++++++++++++++++
 1 file changed, 92 insertions(+)